www.cendio.com
Bug 4343 - restore edge/bump scrolling in vncviewer
: restore edge/bump scrolling in vncviewer
Status: CLOSED FIXED
: ThinLinc
VNC
: pre-1.0
: PC Unknown
: P2 Normal
: 4.0.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-06-19 14:58 by
Modified: 2012-11-28 12:35 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2012-06-19 14:58:55
The rewrite of vncviewer for FLTK replaced the edge/bump scrolling with a
simple scrollbar. This wasn't on purpose, rather it was just the simplest
implementation.

People seem to miss the old bump scrolling though, so we should consider
putting the effort into fixing it.
------- Comment #1 From cendio 2012-09-03 11:31:18 -------
Fixed in r25712.
------- Comment #2 From cendio 2012-09-10 13:14:40 -------
Mouse tracking is broken. Suspect it is caused by this bug.
------- Comment #3 From cendio 2012-09-10 13:51:39 -------
Fixed in r25760.
------- Comment #4 From cendio 2012-10-15 14:49:40 -------
Works like a charm, i tested using latest build 3680 with a session size of
4096x4096 and without auto resize session, moved around the desktop from edge
to edge, and verified that corners moved in both axis.
------- Comment #5 From cendio 2012-10-15 14:57:30 -------
Tested the above on MacOS X Client and stumble upon 2 issues:

1, Started a session 4096x4096 non fullscreen, and went into fullscreen,
   i got scrollbars showing when in fullscreen which was not the case for
   the linux client. Also when moving mouse over scrollbars the edgescrolling
   was perform eg. i couldnt take a scrollbar and use it as one would..
   Should NOT show the scrollbars anyway!

2. Another thing was that this Mac have 2 monitors, when session was fullscreen
   and i left the screen with mouse to the other screen edge scroll was
performed
   using the other "local" screen even up/down worked, until i clicked
something
   and lose the focus of vncviewer, then it worked as expected eg. no control
of
   edgescroll on secondary screen.
------- Comment #6 From cendio 2012-10-16 09:50:37 -------
(In reply to comment #5)
> Tested the above on MacOS X Client and stumble upon 2 issues:
> 
> 1, Started a session 4096x4096 non fullscreen, and went into fullscreen,
>    i got scrollbars showing when in fullscreen which was not the case for
>    the linux client. Also when moving mouse over scrollbars the edgescrolling
>    was perform eg. i couldnt take a scrollbar and use it as one would..
>    Should NOT show the scrollbars anyway!
> 

Happens on Windows as well.

> 2. Another thing was that this Mac have 2 monitors, when session was fullscreen
>    and i left the screen with mouse to the other screen edge scroll was
> performed
>    using the other "local" screen even up/down worked, until i clicked
> something
>    and lose the focus of vncviewer, then it worked as expected eg. no control
> of
>    edgescroll on secondary screen.

Not going to bother with this right now. Bug 4432.
------- Comment #7 From cendio 2012-10-17 10:02:52 -------
(In reply to comment #6)
> (In reply to comment #5)
> > Tested the above on MacOS X Client and stumble upon 2 issues:
> > 
> > 1, Started a session 4096x4096 non fullscreen, and went into fullscreen,
> >    i got scrollbars showing when in fullscreen which was not the case for
> >    the linux client. Also when moving mouse over scrollbars the edgescrolling
> >    was perform eg. i couldnt take a scrollbar and use it as one would..
> >    Should NOT show the scrollbars anyway!
> > 
> 
> Happens on Windows as well.
> 

Fixed in r26014. Also improves keyboard grabbing on Windows.
------- Comment #8 From cendio 2012-10-18 09:22:50 -------
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > Tested the above on MacOS X Client and stumble upon 2 issues:
> > > 
> > > 1, Started a session 4096x4096 non fullscreen, and went into fullscreen,
> > >    i got scrollbars showing when in fullscreen which was not the case for
> > >    the linux client. Also when moving mouse over scrollbars the edgescrolling
> > >    was perform eg. i couldnt take a scrollbar and use it as one would..
> > >    Should NOT show the scrollbars anyway!
> > > 
> > 
> > Happens on Windows as well.
> > 
> 
> Fixed in r26014. Also improves keyboard grabbing on Windows.

Issue is verified and working nice on both OsX and Win using build 3689
------- Comment #9 From cendio 2012-10-18 09:36:08 -------
A new problem is identified, edge scrolling doesn't work if screens edges are
unaligned / mismatch in resolutions, look like edge detection is done against
virtual sized edge and is not compensated for "edge of monitor", see following
example:

 .------------------------------.
 |  1680x1050       | 1280x720  |
 |                  |           |
 |                  |     2     |
 |       1          |xxxxxxxxxxx'
 '------------------'


The xxxx edge of screen is not detected as a scroll edge, if i move
the layout and moving down screen 2 so its edge is aligned with screen 1
bottom, the top of screen 2 is not detected as a scroll edge.
------- Comment #10 From cendio 2012-10-18 12:44:12 -------
To messy to solve easily, and shouldn't be that common in the real world.
Ignoring for now.